/*
 Copyright (c) 2009 [Joerg Ruedenauer]
 
 This file is part of RPGSoundController.

 RPGSoundController is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 RPGSoundController is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with RPGSoundController; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package rpgsoundcontroller.data;

import javax.swing.KeyStroke;

public class Command {

  private String title;
  private KeyStroke keyStroke;
  private boolean continuous;
  private int group;
  private boolean stopsAll;
  
  public Command(String title, KeyStroke keyStroke, boolean continuous, int group, boolean stopsAll) {
    this.title = title;
    this.keyStroke = keyStroke;
    this.continuous = continuous;
    this.group = group;
    this.stopsAll = stopsAll;
  }
  
  public String getTitle() {
    return title;
  }
  
  public KeyStroke getKeyStroke() {
    return keyStroke;
  }
  
  public boolean isContinuous() {
    return continuous;
  }
  
  public int getGroup() {
    return group;
  }
  
  public boolean stopsAllOthers() {
    return stopsAll;
  }
}
